Subject: RE: Cygwin + Oracle (Pro*C)
From: günter strubinsky <[email-masked]>
To: "'Peter A. Castro'" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 14 Mar 2003 13:54:48 -0600

Well, it's not as trivial. The windows installation of Oracle preconfigures
for Visual C and creates all the micro$oft junk. There is no makefile as
example. 

The documentation is virtually not existent, adapting to Microsoft's way:
'The user is too stupid to understand; keep them in the dark so they can't
harm'. That's why there is a windows GUI-application that allows one button
precompile.

# I need to know how to invoke the precompiler manually.
# How to compile & link the resulting C file.

It is very hard to deduct what lib's and .h files should be included,
especially since the directory tree is huge. I will dig around and make it
work. Sooner or later. Sooner would be naturally better.

Therefore: if anybody got further than me. I appreciate any hints you
provide and will post whatever conclusions I derive. Without HTML! 8p

 günter strubinsky
 <[email-masked]>
 Tel: 402.212.0196

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Peter A. Castro
Sent: Thursday, March 13, 2003 6:36 PM
To: günter strubinsky
Cc: [email-masked]
Subject: Re: Cygwin + Oracle (Pro*C)

On Thu, 13 Mar 2003, günter strubinsky wrote:

> Does anybody have any experience running Oracle 9i (win2k) + cygwin with
> the pro*C preprocessor? Howto?
>
> I don’t have a glue how to get proc to work under cygwin. When I install
on
> win2k I don’t think I can run the proC tool over the cygwin environment?!?
> Or can I install Oracle’s RedHat version?

It should be pretty trivial.  Set your path to include $ORACLE_HOME/bin
(that means you have to set ORACLE_HOME first, and it probably should be
in DOS syntax).  ProC is just another windows command line app, so it
should run on top of Cygwin without any problems.  Are you having a
specific problem? 

> I am lost right now…
>  günter strubinsky
>  < <mailto:[email-masked]> [email-masked]>
>  Tel: 402.212.0196

-- 
Peter A. Castro <[email-masked]> or <[email-masked]>
	"Cats are just autistic Dogs" -- Dr. Tony Attwood

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/